<div class="row justify-content-center">
    <div class="mb-4 mt-3 col-xl-8 col-lg-8 col-md-8 col-lg-offset-2 col-xl-offset-2 col-md-offset-2">
      <div class="card o-hidden border-0 shadow">
        <div class="card-body p-0">
          <!-- Nested Row within Card Body -->
          <div class="row">
            <div class="col-lg-12 ">
              <div class="p-5">
                <div class="text-center">
                  <h1 class="h4 text-gray-900 mb-4 user-text">Update Your Profile Details</h1>
                </div>
                <form [formGroup]="updateProfile" (submit)="UpdateProfile()" name="updateForm" class="user login-form">
  
                  <div class="form-group row">
                    <div class="col-sm-6">
                      <input formControlName='username' type="text" class="form-control form-control-user"
                        name="full_name" placeholder="Username">
                      <div *ngIf="submitted && f.username.errors" class="errors">
                        <div *ngIf="f.username.errors.required">username required</div>
                      </div>
                    </div>
  
                    <div class="col-sm-6">
                      <input formControlName='full_name' type="text" class="form-control form-control-user" name="email"
                        placeholder="Full Name">
                      <div *ngIf="submitted && f.full_name.errors" class="errors">
                        <div *ngIf="f.full_name.errors.required">full name required</div>
                      </div>
                    </div>
                  </div>
  
                  <div class="form-group row">
                    <div class="col-sm-6">
                      <input formControlName='email' type="text" class="form-control form-control-user" name="email"
                        placeholder="Email">
                      <div *ngIf="submitted && f.email.errors" class="errors">
                        <div *ngIf="f.email.errors.required">Email required</div>
                      </div>
                    </div>
  
                    <div class="col-sm-6">
                      <input formControlName='phone' type="text" class="form-control form-control-user" name="phone"
                        placeholder="phone">
                      <div *ngIf="submitted && f.phone.errors" class="errors">
                        <div *ngIf="f.phone.errors.required">phone required</div>
                      </div>
                    </div>
                  </div>
  
                  <div class="form-group row">
                    <div class="col-sm-6">
                      <input formControlName='city' type="text" class="form-control form-control-user" placeholder="city">
                      <div *ngIf="submitted && f.city.errors" class="errors">
                        <div *ngIf="f.city.errors.required">city required</div>
                      </div>
                    </div>
  
                    <div class="col-sm-6">
                      <input formControlName='country' type="text" class="form-control form-control-user" name="country"
                        placeholder="country">
                      <div *ngIf="submitted && f.country.errors" class="errors">
                        <div *ngIf="f.country.errors.required">country required</div>
                      </div>
                    </div>
                  </div>
                  <div class="form-group">
                    <input formControlName='zip' type="text" class="form-control form-control-user" placeholder="zip">
                    <div *ngIf="submitted && f.zip.errors" class="errors">
                      <div *ngIf="f.zip.errors.required">zip required</div>
                    </div>
                  </div>
  
                  <div class="form-group row">
                    <div class="col-sm-3 mb-3 mb-sm-0">
                    </div>
                    <div class="col-sm-6 mb-3 mb-sm-0">
                      <input type="submit" value="Update Profile" class="btn btn-user btn-custom btn-block">
                    </div>
                  </div>
  
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>